Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

OpenLDap-2-1-14 en REDHAT 8.0

Serge4
5 antwoorden
  • Hi,

    1.Ik haalde de software van de openldap website
    2.Plaatse deze op mijn linux server onder /usr/local/openldap
    3.Unzipte deze en kreeg /usr/local/openldap/openldap-2.1.14
    4.In deze dirrectory deed ik ./configure

    Het resultaat was :

    Copyright 1998-2003 The OpenLDAP Foundation, All Rights Reserved.
    Restrictions apply, see COPYRIGHT and LICENSE files.
    Configuring OpenLDAP 2.1.14-Release …
    checking host system type… i686-pc-linux-gnuoldld
    checking target system type… i686-pc-linux-gnuoldld
    checking build system type… i686-pc-linux-gnuoldld
    checking for a BSD compatible install… /usr/bin/install -c
    checking whether build environment is sane… yes
    checking for mawk… no
    checking for gawk… gawk
    checking whether make sets ${MAKE}… yes
    checking for working aclocal… missing
    checking for working autoconf… missing
    checking for working automake… missing
    checking for working autoheader… missing
    checking for working makeinfo… missing
    checking for gnutar… no
    checking for gtar… gtar
    checking configure arguments… done
    checking for a BSD compatible install… /usr/bin/install -c
    checking for cc… no
    checking for gcc… no
    configure: error: Unable to locate cc(1) or suitable replacement. Check PATH or set CC.

    De directory is

    -rw-rw-r– 1 2000 2000 2529 Feb 9 00:28 acconfig.h
    -rw-rw-r– 1 2000 2000 510 Jan 4 2002 acinclude.m4
    -rw-rw-r– 1 2000 2000 129943 Dec 21 22:37 aclocal.m4
    -rw-rw-r– 1 2000 2000 3319 Oct 6 02:56 ANNOUNCEMENT
    drwxrwxr-x 2 2000 2000 4096 Feb 28 22:39 build
    -rw-rw-r– 1 2000 2000 9731 Feb 28 18:22 CHANGES
    drwxrwxr-x 3 2000 2000 4096 Feb 28 22:39 clients
    -rw-r–r– 1 root root 239 Mar 9 12:55 confdefs.h
    -rw-r–r– 1 root root 950 Mar 9 12:55 config.log
    -rwxrwxr-x 1 2000 2000 617867 Feb 28 18:06 configure
    -rw-rw-r– 1 2000 2000 79784 Feb 15 20:17 configure.in
    drwxrwxr-x 5 2000 2000 4096 Feb 28 22:39 contrib
    -rw-rw-r– 1 2000 2000 1354 Jan 3 19:09 COPYRIGHT
    drwxrwxr-x 7 2000 2000 4096 Feb 28 22:39 doc
    drwxrwxr-x 3 2000 2000 4096 Feb 28 22:39 include
    -rw-rw-r– 1 2000 2000 3529 Feb 14 17:04 INSTALL
    drwxrwxr-x 11 2000 2000 4096 Feb 28 22:39 libraries
    -rw-rw-r– 1 2000 2000 2216 Sep 8 2001 LICENSE
    -rw-rw-r– 1 2000 2000 891 Feb 13 2002 Makefile.in
    -rw-rw-r– 1 2000 2000 2432 Oct 6 02:56 README
    drwxrwxr-x 4 2000 2000 4096 Feb 28 22:39 servers
    drwxrwxr-x 5 2000 2000 4096 Feb 28 22:39 tests
    -rw-r–r– 1 root root 0 Mar 9 13:08 test.txt

    Heeft iemand een idee wat er fout is

    Alvast bedankt
    Serge
  • Installeer de develop packages. Deze ben je nodig voor alle programma's die je zelf wilt compileren.
  • Installeer de develop packages. Deze ben je nodig voor alle programma's die je zelf wilt compileren.

    Ik was duidelijk niet geduldig genoeg…
  • Bedankt alvast voor de snelle reactie, ik heb volgende packages bij geinstalleerd

    Developpments tool
    Kernel Develpment

    Hij raakt wat verder in de configuratie, maar ik krijg nu :

    checking for thread specific h_errno… yes
    checking for ctime_r… yes
    checking for gethostbyname_r… yes
    checking for gethostbyaddr_r… yes
    checking number of arguments of ctime_r… 2
    checking number of arguments of gethostbyname_r… 6
    checking number of arguments of gethostbyaddr_r… 8
    checking for db.h… yes
    checking for Berkeley DB link (default)… no
    checking for Berkeley DB link (-ldb41)… no
    checking for Berkeley DB link (-ldb-41)… no
    checking for Berkeley DB link (-ldb-4.1)… no
    checking for Berkeley DB link (-ldb-4-1)… no
    checking for Berkeley DB link (-ldb-4)… no
    checking for Berkeley DB link (-ldb4)… no
    checking for Berkeley DB link (-ldb)… yes
    checking for Berkeley DB thread support… yes
    checking Berkeley DB version for BDB backend… no
    configure: error: BDB: BerkeleyDB version incompatible

    Moet ik soms een bepaalde database donwloaden ????

    Vriendelijke groeten

    Serge
  • Het kernel Develop pakket had je niet hoeven te installeren. Dit is alleen noodzakelijk als je zelf de kernel opnieuw wilt compileren.

    De computer komt tot de conclusie dat Berkeley DB niet goed geïnstalleerd is. Je kunt in de lijst met pakketten kijken of dit programma daarin voorkomt. Anders moet je deze downloaden en installeren. Via een zoekmachine kun je wel achterhalen waar je dit moet downloaden.

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.